classification
Title: test_multiprocessing_spawn: Dangling processes leaked on AMD64 FreeBSD 10.x Shared 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2018-07-18 16:54 by vstinner, last changed 2018-09-19 23:57 by vstinner. This issue is now closed.

Messages (2)
msg321895 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-07-18 16:54
https://buildbot.python.org/all/#/builders/87/builds/1175

0:07:52 load avg: 4.38 [369/417/1] test_multiprocessing_spawn failed (env changed) (2 min 43 sec) -- running: test_lib2to3 (1 min 11 sec), test_tools (2 min 4 sec)
(...)
test_lock (test.test_multiprocessing_spawn.WithProcessesTestLock) ... ok
test_lock_context (test.test_multiprocessing_spawn.WithProcessesTestLock) ... ok
test_rlock (test.test_multiprocessing_spawn.WithProcessesTestLock) ... ok
test_enable_logging (test.test_multiprocessing_spawn.WithProcessesTestLogging) ... ok
test_level (test.test_multiprocessing_spawn.WithProcessesTestLogging) ... ok
test_rapid_restart (test.test_multiprocessing_spawn.WithProcessesTestManagerRestart) ... ok
Warning -- Dangling processes: {<SpawnProcess(QueueManager-181, stopped)>}
test_access (test.test_multiprocessing_spawn.WithProcessesTestPicklingConnections) ... ok
test_pickling (test.test_multiprocessing_spawn.WithProcessesTestPicklingConnections) ... ok
test_boundaries (test.test_multiprocessing_spawn.WithProcessesTestPoll) ... ok
test_dont_merge (test.test_multiprocessing_spawn.WithProcessesTestPoll) ... ok
(...)
1 test altered the execution environment:
    test_multiprocessing_spawn
(...)
Tests result: ENV CHANGED
msg321938 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-07-19 08:45
Another failure on AMD64 Windows8.1 Refleaks 3.6:

https://buildbot.python.org/all/#/builders/64/builds/293

1:24:09 [391/407/2] test_multiprocessing_spawn failed -- running: test_mailbox (8 min 1 sec), test_asyncio (2 min 58 sec)
beginning 6 repetitions
123456
..Warning -- Dangling processes: {<Process(Process-746, started daemon)>}
Warning -- files was modified by test_multiprocessing_spawn
  Before: []
  After:  ['@test_3712_tmp'] 
test test_multiprocessing_spawn failed -- multiple errors occurred; run in verbose mode for details

(...)
Re-running test 'test_multiprocessing_spawn' in verbose mode
beginning 6 repetitions
(...)

test_thread_safety (test.test_multiprocessing_spawn.WithProcessesTestFinalize) ... Unable to join 2 threads during a period of 1 minutes
Unable to join 2 threads during a period of 2 minutes
Unable to join 2 threads during a period of 3 minutes
Unable to join 2 threads during a period of 4 minutes
Unable to join 2 threads during a period of 5 minutes
Unable to join 2 threads during a period of 6 minutes
Unable to join 2 threads during a period of 7 minutes
Unable to join 2 threads during a period of 8 minutes
Unable to join 2 threads during a period of 9 minutes
Unable to join 2 threads during a period of 10 minutes
Unable to join 2 threads during a period of 11 minutes
Unable to join 2 threads during a period of 12 minutes
Unable to join 2 threads during a period of 13 minutes
Unable to join 2 threads during a period of 14 minutes
Unable to join 2 threads during a period of 15 minutes
Thread 0x00000ad8 (most recent call first):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\_test_multiprocessing.py", line 3333 in make_finalizers
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 864 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 916 in _bootstrap_inner
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 884 in _bootstrap

Thread 0x00000700 (most recent call first):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\multiprocessing\util.py", line 188 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\multiprocessing\util.py", line 262 in _run_finalizers
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\_test_multiprocessing.py", line 3322 in run_finalizers
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 864 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 916 in _bootstrap_inner
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 884 in _bootstrap

Current thread 0x00000b14 (most recent call first):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 2213 in start_threads
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\contextlib.py", line 88 in __exit__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\_test_multiprocessing.py", line 3347 in test_thread_safety
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\case.py", line 605 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\case.py", line 653 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\runner.py", line 176 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 1908 in _run_suite
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 1998 in run_unittest
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\runtest.py", line 175 in test_runner
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\refleak.py", line 62 in dash_R
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\runtest.py", line 177 in runtest_inner
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\runtest.py", line 140 in runtest
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 286 in rerun_failed_tests
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 570 in _main
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 531 in main
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 584 in main
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\__main__.py", line 2 in <module>
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\runpy.py", line 85 in _run_code
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\runpy.py", line 193 in _run_module_as_main
...Warning -- Dangling threads: {<Thread(Thread-2732, started 2776)>, <Thread(Thread-2731, started 1792)>}
FAIL
(...)
test_starmap (test.test_multiprocessing_spawn.WithProcessesTestPool) ... ok
test_starmap_async (test.test_multiprocessing_spawn.WithProcessesTestPool) ... ok
test_terminate (test.test_multiprocessing_spawn.WithProcessesTestPool) ... FAIL
test_traceback (test.test_multiprocessing_spawn.WithProcessesTestPool) ... ok
Warning -- Dangling processes: {<SpawnProcess(SpawnPoolWorker-945, started daemon)>}
Warning -- Dangling threads: {<Thread(Thread-2756, started daemon 5588)>, <Thread(Thread-2755, started daemon 3592)>}
test_wrapped_exception (test.test_multiprocessing_spawn.WithProcessesTestPool) ... ok
Timeout (3:15:00)!
Thread 0x00000ad8 (most recent call first):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\multiprocessing\util.py", line 180 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\_test_multiprocessing.py", line 3310 in __init__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\_test_multiprocessing.py", line 3333 in <setcomp>
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\_test_multiprocessing.py", line 3333 in make_finalizers
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 864 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 916 in _bootstrap_inner
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 884 in _bootstrap

Thread 0x00000700 (most recent call first):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\_test_multiprocessing.py", line 3318 in run_finalizers
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 864 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 916 in _bootstrap_inner
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 884 in _bootstrap

Thread 0x00000b14 (most recent call first):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 295 in wait
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 551 in wait
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\multiprocessing\pool.py", line 635 in wait
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\multiprocessing\pool.py", line 638 in get
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\case.py", line 178 in handle
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\case.py", line 733 in assertRaises
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\_test_multiprocessing.py", line 2282 in test_async_error_callback
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\case.py", line 605 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\case.py", line 653 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\unittest\runner.py", line 176 in run
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 1908 in _run_suite
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 1998 in run_unittest
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\runtest.py", line 175 in test_runner
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\refleak.py", line 62 in dash_R
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\runtest.py", line 177 in runtest_inner
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\runtest.py", line 140 in runtest
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 286 in rerun_failed_tests
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 570 in _main
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 531 in main
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 584 in main
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\__main__.py", line 2 in <module>
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\runpy.py", line 85 in _run_code
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\runpy.py", line 193 in _run_module_as_main
program finished with exit code 1
History
Date User Action Args
2018-09-19 23:57:58vstinnersetstatus: open -> closed
resolution: out of date
stage: resolved
2018-07-19 08:45:50vstinnersetmessages: + msg321938
2018-07-18 16:54:44vstinnercreate